import { createApp } from "vue";
import App from "./App.vue";

import { invoke } from "@tauri-apps/api/core";

createApp(App).mount("#app");


function sleep(seconds: number): Promise<void> {
  return new Promise((resolve) => setTimeout(resolve, seconds * 1000));
}

async function setup() {
  console.log("前端应用启动..");
  // 增加延迟时间，确保欢迎页面有足够显示时间
  await sleep(3);
  console.log("前端应用启动完成111");
  // 调用后端应用
  invoke("set_complete", { task: "frontend" });
}


window.addEventListener("DOMContentLoaded", () => {
    console.log("前端应用启动222");
    setup();
});
